package com.engine.jucailin.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 调整起算日期
 */
public enum FieldHtmlTypeEnum implements BaseEnum {
    INPUT("1","单行文本框"),
    TEXTAREA("2","多行文本框"),
    BROWSER("3","浏览按钮"),
    CHECKBOX("4","Check框"),
    SELECT("5","选择框"),
    UPLOAD("6","附件"),
    COLORPICKER("7","颜色选择"),
    DESCRIPTION("8","描述类型");

    private String key;
    private String value;

    FieldHtmlTypeEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
