package com.engine.jucailin.util;

import weaver.general.Util;
import weaver.hrm.company.DepartmentComInfo;

import java.util.Map;

/**
 * 聚财林列表的显示转换方法
 */
public class ListConversionMethod {
    /**
     * 获取人员分组应用场景显示列
     *
     * @param userfor 0-分部、1-部门、2-人员、3-岗位、4-所有人
     * @param languageId
     * @return
     */
    public String getPersonGroupUserFor(String userfor, String languageId) {
        String userforShow = "";
        int language = Util.getIntValue(languageId, 7);
        if (userfor.equals("0")) {
            userforShow = "通用";
        } else if (userfor.equals("1")) {
            userforShow = "排班";
        } else if (userfor.equals("2")) {
            userforShow = "打卡";
        } else if (userfor.equals("3")) {
            userforShow = "假期额度";
        } else if (userfor.equals("4")) {
            userforShow = "考勤方案";
        }else if (userfor.equals("4")) {
            userforShow = "管理员权限";
        }
        return userforShow;
    }


    /**
     * 周期状态
     *
     * @param languageId
     * @return
     */
    public String getCyclestate(String cyclestate, String languageId) {
        String stateShow = "";
        int language = Util.getIntValue(languageId, 7);
        if (cyclestate.equals("0")) {
            stateShow = "待关账";
        } else if (cyclestate.equals("1")) {
            stateShow = "已关账";
        } else if (cyclestate.equals("2")) {
            stateShow = "已结账";
        }
        return stateShow;
    }

    /**
     * 周期名称
     * @return
     */
    public String getCycleName(String cyclename, String languageId) {
        String sql = "select cyclename from kq_cycle_setting where id="+cyclename;
        Map<String,String> data = DbTools.getSqlToMap(sql);
        return data.get("cyclename");
    }

    /**
     * 明细周期状态
     *
     * @param languageId
     * @return
     */
    public String getCycledetailstate(String cyclestate, String languageId) {
        String stateShow = "";
        int language = Util.getIntValue(languageId, 7);
        if (cyclestate.equals("0")) {
            stateShow = "开账";
        } else if (cyclestate.equals("1")) {
            stateShow = "关账";
        }
        return stateShow;
    }

    /**
     * check框
     *
     * @param languageId
     * @return
     */
    public String getCheckValue(String value, String languageId) {
        String stateShow = "";
        int language = Util.getIntValue(languageId, 7);
        if (value.equals("0")) {
            stateShow = "否";
        } else if (value.equals("1")) {
            stateShow = "是";
        }
        return stateShow;
    }
    /**
     * 获得部门名称
     *
     * @param languageId
     * @return
     */
    public String getDepartMentName(String departMent, String languageId) {
        String stateShow = "";
        DepartmentComInfo departmentComInfo = new DepartmentComInfo();
        int language = Util.getIntValue(languageId, 7);
        return departmentComInfo.getDepartmentname(departMent);
    }

    /**
     * 日历名称
     * @return
     */
    public static String getCalendarNameById(String calendarId) {
        String sql = "select calendar_name from kq_calendar_name where id="+calendarId;
        Map<String,String> data = DbTools.getSqlToMap(sql);
        return data.get("calendar_name");
    }
}
