package com.engine.jucailin.service.impl;

import com.engine.core.impl.Service;
import com.engine.jucailin.cmd.calendar.GetCalendarSettingFormCmd;
import com.engine.jucailin.cmd.calendar.GetCalendarSettingListCmd;
import com.engine.jucailin.cmd.calendar.holidaySet.GetCalendarSettingTreeCmd;
import com.engine.jucailin.service.KQCalendarSettingService;

import java.util.Map;

/**
 * @Author: sy
 * @Description: 日历设置实现类
 * @Date: 2024/2/27
 **/
public class KQCalendarSettingServiceImpl extends Service implements KQCalendarSettingService {
    @Override
    public Map<String, Object> getCalendarSettingList(Map<String, Object> params) {
        return commandExecutor.execute(new GetCalendarSettingListCmd(params,user));
    }

    @Override
    public Map<String, Object> getCalendarSettingForm(Map<String, Object> params) {
        return commandExecutor.execute(new GetCalendarSettingFormCmd(params,user));
    }

    @Override
    public Map<String, Object> getCalendarSettingTree(Map<String, Object> params) {
        return commandExecutor.execute(new GetCalendarSettingTreeCmd(params,user));
    }
}
