package com.engine.jucailin.service.impl;

import com.engine.core.impl.Service;
import com.engine.jucailin.cmd.common.UpdateDataCommonCmd;
import com.engine.jucailin.cmd.cycle.*;
import com.engine.jucailin.service.KQCycleSettingService;
import com.engine.jucailin.util.Constant;
import com.google.common.collect.Maps;

import java.util.Map;

public class KQCycleSettingServiceImpl extends Service implements KQCycleSettingService {

    @Override
    public Map<String, Object> getCycleSettingList(Map<String, Object> params) {
        return commandExecutor.execute(new GetCycleSettingListCmd(params,user));
    }

    @Override
    public Map<String, Object> getCycleSettingTree(Map<String, Object> params) {
        return commandExecutor.execute(new GetCycleSettingTreeCmd(params,user));
    }

    @Override
    public Map<String, Object> getCycleList(Map<String, Object> params) {
        return commandExecutor.execute(new GetCycleListCmd(params,user));
    }

    @Override
    public Map<String, Object> getCycleSettingForm(Map<String, Object> params) {
        return commandExecutor.execute(new GetCycleSettingFormCmd(params,user));
    }

    @Override
    public Map<String, Object> getCycleForm(Map<String, Object> params) {
        return commandExecutor.execute(new GetCycleFormCmd(params,user));
    }

    @Override
    public Map<String, Object> getCycleSearchCondition(Map<String, Object> params) {
        return commandExecutor.execute(new GetCycleSearchConditionCmd(params,user));
    }

    @Override
    public Map<String, Object> getCycledetailList(Map<String, Object> params) {
        return commandExecutor.execute(new GetCycledetailListCmd(params,user));
    }

    @Override
    public Map<String, Object> getCycledetailForm(Map<String, Object> params) {
        return commandExecutor.execute(new GetCycledetailFormCmd(params,user));
    }


    @Override
    public Map<String, Object> closeBill(Map<String, Object> params) {
        params.put("tableName", Constant.kq_cycle);
        Map<String,Object> dataMap = Maps.newHashMap();
        dataMap.put("cyclestate","1");
        params.put("data",dataMap);
        return commandExecutor.execute(new UpdateDataCommonCmd(params,user));
    }

    @Override
    public Map<String, Object> endBill(Map<String, Object> params) {
        params.put("tableName", Constant.kq_cycle);
        Map<String,Object> dataMap = Maps.newHashMap();
        dataMap.put("cyclestate","2");
        params.put("data",dataMap);
        return commandExecutor.execute(new UpdateDataCommonCmd(params,user));
    }
}
