package com.engine.jucailin.util;

import java.util.UUID;

/**
 * React化分页组参考pageuid生成类
 * 
 * @author lvyi
 */
public class PageUidFactory {

	/**
	 * 获取React分页组件所需pageuid，每个分页组件唯一，直接通过Main程序生成随机UID常量即可
	 * 
	 * @return
	 */
	public static String getHrmPageUid(String param){
	 if("KQPersonGroupList".equals(param)){
			return "d0c6abf5-b722-4187-ac6c-e8735a01c329";
	 }else if("KQCycleSettingList".equals(param)){
			return "01c6e218-5d4a-4826-9e4a-d123924d58ce";
	 }else if("KQCycleList".equals(param)){
			return "c1dc1669-8a8d-4c4f-b80c-c9a3e2eaa0dc";
	 }else if("KQCycledetailList".equals(param)){
		 return "3ca1ab01-f670-4d39-8b81-86a7076c9458";
	 }else{
			return "";
	 }
	}
	
	public static void main(String[] args){
		for(int i=0; i<10; i++){
			UUID uuid = UUID.randomUUID();
			System.err.println(uuid);
		}
	}
	
}
